# -*- coding: utf-8 -*-

import numpy as np
import matplotlib.pyplot as plt
import matplotlib.patches as mpatches

ref = ((72, 72), (75, 75))
ref = np.asarray(ref)

exp1 = []
exp1 = np.loadtxt('results.dat')

fig, ax = plt.subplots(figsize=(12, 9))
#ax1 = ax.twinx()

ax.plot(ref[:,0], ref[:,1], '--', lw=2,c='k')
ax.scatter(exp1[:,0], exp1[:,1],s=200,c='b',zorder=5)

ax.set_xlabel(r'$\mathrm{Y_{SfePy}}$, GPa', fontsize=45, labelpad=15)
ax.set_ylabel(r'$\mathrm{Y_{PyMKS}}$, GPa', fontsize=45, labelpad=15)
ax.tick_params(axis='x', labelsize=30, pad = 15)
ax.tick_params(axis='y', labelsize=30, pad = 15)

#handles, labels = ax.get_legend_handles_labels()
#plt.legend(handles, labels, loc='lower right',numpoints=1, prop={'size':30})

ax.set_xlim(72, 75)
ax.set_ylim(72, 75)

fig.tight_layout()


plt.show()
